--[[

LostTreasures.lua
You must have TomTom installed to use this addon!

]]

LostTreasures = LibStub("AceAddon-3.0"):NewAddon("LostTreasures", "AceEvent-3.0", "AceConsole-3.0");

AceConfigRegistry = LibStub("AceConfigRegistry-3.0");
AceConfigDialog = LibStub("AceConfigDialog-3.0");

function LostTreasures:PLAYER_LOGIN(event)
	self:UnregisterEvent(event);
	LostTreasures:MapAllWaypoints();
end
LostTreasures:RegisterEvent("PLAYER_LOGIN");

function LostTreasures:HandleCommand(input)
	InterfaceOptionsFrame_OpenToCategory(_LT.NAME);
end

function LostTreasures:OnInitialize()
	self.db = LibStub("AceDB-3.0"):New("LostTreasuresDB", _LT.Defaults);
	_LT.SavedVars = self.db.char;
	
	self:RegisterChatCommand("lt", "HandleCommand");
	self:RegisterChatCommand("losttreasures", "HandleCommand");
end

_LT = {
	NAME = "LostTreasures", 
	VERSION = GetAddOnMetadata("LostTreasures", "Version"), 
	Defaults = {
		char = {
			ENABLED = true, 
			DEBUG = false, 
		}, 
	}, 
};